Package com.oracle.nosql.spring.data.repository.support

# Class NosqlEntityInformation<T,ID>

java.lang.Object
org.springframework.data.repository.core.support.AbstractEntityInformation<T,ID>
com.oracle.nosql.spring.data.repository.support.NosqlEntityInformation<T,ID>

All Implemented Interfaces:
  `org.springframework.data.repository.core.EntityInformation<T,ID>`, `org.springframework.data.repository.core.EntityMetadata<T>`

public class NosqlEntityInformation<T,ID> extends org.springframework.data.repository.core.support.AbstractEntityInformation<T,ID>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NosqlEntityInformation(org.springframework.context.ApplicationContext applicationContext, Class<T> domainClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FieldValue.Type`
  `findIdNosqlType(Class<?> idClass)`
  `Consistency`
  `getConsistency()`
  `Durability`
  `getDurability()`
  `ID`
  `getId(T entity)`
  `String`
  `getIdColumnName()`
  `Field`
  `getIdField()`
  `FieldValue.Type`
  `getIdNosqlType()`
  `Class<ID>`
  `getIdType()`
  `Map<String,FieldValue.Type>`
  `getNonShardKeys()`
  `Map<String,FieldValue.Type>`
  `getShardKeys()`
  `TableLimits`
  `getTableLimits(NosqlDbFactory nosqlDbFactory)`
  `String`
  `getTableName()`
  `int`
  `getTimeout()`
  `TimeToLive`
  `getTtl()`
  Get default table level TTL of the entity.
  `static boolean`
  `isAllowedKeyType(Class<?> type)`
  `boolean`
  `isAutoCreateTable()`
  `boolean`
  `isAutoGeneratedId()`
  `static boolean`
  `isCompositeKeyType(Class<?> type)`
  `void`
  `setConsistency(String consistency)`
  `void`
  `setDurability(String durability)`
  `void`
  `setTimeout(int milliseconds)`

  ### Methods inherited from class org.springframework.data.repository.core.support.AbstractEntityInformation

  `getJavaType, isNew`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.data.repository.core.EntityInformation

  `getRequiredId`

- ## Constructor Details

  - ### NosqlEntityInformation

    public NosqlEntityInformation(org.springframework.context.ApplicationContext applicationContext, Class<T> domainClass)

- ## Method Details

  - ### getId

    public ID getId(T entity)

  - ### getIdField

    public Field getIdField()

  - ### getIdColumnName

    public String getIdColumnName()

  - ### getIdType

    public Class<ID> getIdType()

  - ### getIdNosqlType

    public FieldValue.Type getIdNosqlType()

  - ### findIdNosqlType

    public static FieldValue.Type findIdNosqlType(Class<?> idClass)

  - ### getTableName

    public String getTableName()

  - ### isAutoCreateTable

    public boolean isAutoCreateTable()

  - ### isAutoGeneratedId

    public boolean isAutoGeneratedId()

  - ### isAllowedKeyType

    public static boolean isAllowedKeyType(Class<?> type)

  - ### isCompositeKeyType

    public static boolean isCompositeKeyType(Class<?> type)

  - ### getTableLimits

    public TableLimits getTableLimits(NosqlDbFactory nosqlDbFactory)

  - ### getConsistency

    public Consistency getConsistency()

  - ### setConsistency

    public void setConsistency(String consistency)

  - ### getDurability

    public Durability getDurability()

  - ### setDurability

    public void setDurability(String durability)

  - ### getTimeout

    public int getTimeout()

  - ### setTimeout

    public void setTimeout(int milliseconds)

  - ### getTtl

    public TimeToLive getTtl()
    Get default table level TTL of the entity. This is applicable only when the table is created through Spring SDK as part of `NosqlTable.autoCreateTable()`. This will not reflect the TTL of an already created table.
    Returns:
      Default table level TTL
    Since:
      1.5.0

  - ### getShardKeys

    public Map<String,FieldValue.Type> getShardKeys()

  - ### getNonShardKeys

    public Map<String,FieldValue.Type> getNonShardKeys()